Page MenuHomePhabricator

Update ReplaceText to use MovePage
Closed, ResolvedPublic

Description

We're using ReplaceText extension on Translatewiki.net.

When renaming / moving titles we get the following warning,

PHP Deprecated:  Use of Title::isValidMoveOperation was deprecated in MediaWiki 1.25. [Called from SpecialReplaceText::getTitlesForMoveAndUnmoveableTitles in /srv/mediawiki/tags/2019-06-10_15:00:00/extensions/ReplaceText/src/SpecialReplaceText.php at line 348] in /srv/mediawiki/tags/2019-06-10_15:00:00/includes/debug/MWDebug.php on line 309

PHP Deprecated:  Use of Title::moveTo was deprecated in MediaWiki 1.25. [Called from ReplaceTextJob::run in /srv/mediawiki/tags/2019-06-10_15:00:00/extensions/ReplaceText/src/ReplaceTextJob.php at line 69] in /srv/mediawiki/tags/2019-06-10_15:00:00/includes/debug/MWDebug.php on line 309

The code should be updated to use the MovePage class.

Event Timeline

abi_ created this task.Jun 13 2019, 6:14 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 13 2019, 6:14 PM
Pginer-WMF triaged this task as Medium priority.Jul 24 2019, 7:58 AM

Change 525307 had a related patch set uploaded (by Abijeet Patro; owner: Abijeet Patro):
[mediawiki/extensions/ReplaceText@master] Replace usage of Title class move methods with MovePage class methods

https://gerrit.wikimedia.org/r/525307

Thanks for updating this Petar. Still a work in progress though.

Change 525307 merged by jenkins-bot:
[mediawiki/extensions/ReplaceText@master] Replace usage of Title class move methods with MovePage class methods

https://gerrit.wikimedia.org/r/525307

This has been deployed to translatewiki.net.

abi_ closed this task as Resolved.Aug 22 2019, 7:56 AM
abi_ moved this task from Needs QA to Done on the Language-Team (Language-2019-July-September) board.

Tested this on Translatewiki.net.